Create 19.12 Beta releases
Closed, ResolvedPublic

Description

  • git: fetch and change to releases/19.12 branch in pkgapplications server
  • cleanup artifacts from old releases
  • run update_l10n.sh in capona
  • run pack_all.sh in capona
  • copy tars and and signatures to proper location in milonia
  • run tag_all.sh in your local machine
  • run bash add_bugzilla_versions.sh in your local machine
  • more stuff

Related Objects

StatusAssignedTask
Opencfeck
Resolvedaacid
aacid created this task.Nov 13 2019, 9:43 PM

git fetch && git checkout release/19.12 && git pull --rebase

aacid updated the task description. (Show Details)Nov 13 2019, 9:43 PM
aacid updated the task description. (Show Details)

rm -rf REVISIONS_AND_HASHES SOURCES_INC sources.inc sources/ versions.tar.gz versions/

aacid updated the task description. (Show Details)Nov 13 2019, 10:07 PM
aacid updated the task description. (Show Details)Nov 17 2019, 11:14 PM
aacid updated the task description. (Show Details)Nov 17 2019, 11:16 PM

For the tagging:
rm -rf versions && scp -r pkgapplications@capona.kde.org:release-tools/versions . && ./tag_all.sh

aacid updated the task description. (Show Details)Nov 17 2019, 11:34 PM
cfeck added a subscriber: cfeck.Nov 26 2019, 11:02 PM
aacid added a comment.EditedNov 26 2019, 11:20 PM

I'm going to mark this as done, I didn't get to do most of the web stuff because of reasons[*], but given that RC is in a few days I'd say we don't need those?

reasons: was depleted from organizing LAS, stuff was a bit unclear still about what to do in regards to the new release service approach

aacid closed this task as Resolved.Nov 26 2019, 11:24 PM